[Python-Dev] LynxOS4 port: need pre-ncurses curses!

"Martin v. L÷wis" martin@v.loewis.de
Fri, 25 Apr 2003 18:58:40 +0200


Duane Voth wrote:
> Next hurdle: Lynx is clearly hoping curses will go the way of the condor,
> their implementation is pre ncurses!  Comments at the top of
> Python-2.2.2/Modules/_cursesmodule.c suggest that there was a prior
> version of Python curses that should be much closer to what LynxOS4
> supports.  Does anyone have an archived copy of the old _cursesmodule.c?

You can get old versions of all source code from the CVS.

>  *   Based on prior work by Lance Ellinghaus and Oliver Andrich
>  *   Version 1.2 of this module: Copyright 1994 by Lance Ellinghouse,
>  *    Cathedral City, California Republic, United States of America.
>  *
>  *   Version 1.5b1, heavily extended for ncurses by Oliver Andrich:
>  *   Copyright 1996,1997 by Oliver Andrich, Koblenz, Germany.
> 
> so I guess I'm looking for version 1.2 of _cursesmodule.c.

I think your guess is wrong. The extensions are used only if available,
and the curses module works with pre-ncurses implementations of curses
just fine.

Regards,
Martin